Corsi di programmazione web e mobile online
Pagina 3 di 4 PrimaPrima 1234 UltimaUltima
Risultati da 21 a 30 di 32

Discussione: ios7 e xcode

  1. #21
    Senior Member L'avatar di freellino
    Data Registrazione
    Dec 2010
    Località
    bari
    Messaggi
    1,277
    Corso online di programmazione android e java
    saggia decisione luca, io le sto mantenendo entrambe perché trovo molto comodo leggere i log con il vecchio ide e poi confrontarli con il nuovo. mi ha accelerato di molto l'upgrade della mia app (2gg) e lunedì conto di essere già in beta.
    io avevo rinominato tempo fa il vecchio xcode come xcode452 quindi adesso dopo l'installazione di questo non è stato sovrascritto nulla e ho già rinominato xcode5. una pura formalità visto che (non mi ricordo se l'ho spostato io ricreando la struttura di xcode4) il vecchio è in /Developer/Applications, il 5 va in /Applicazioni

    francesco

  2. #22
    grazie, ne approfitto per una domanda... se apro un progetto vecchio con xcode 5 i file verranno modificati oppure non rischio nulla con i progetti creati con xcode 4?
    Luca Santaniello
    skype: luca.santaniello

  3. #23
    Senior Member L'avatar di freellino
    Data Registrazione
    Dec 2010
    Località
    bari
    Messaggi
    1,277
    io ho solo lavorato sul codice e aprivo i progetti indifferentemente sul vecchio e sul nuovo.
    credo che i problemi sorgano con gli xib che solitamente sono formattati (xml) in maniera diversa fra le versioni. come da prassi in questi casi ho backuppato tutto e finchè non sono padrone delle modifiche i miei progetti hanno un suffisso _v5 _v4 che me li identifica.

    francesco

  4. #24
    ottima idea, grazie freellino
    Luca Santaniello
    skype: luca.santaniello

  5. #25
    Senior Member L'avatar di freellino
    Data Registrazione
    Dec 2010
    Località
    bari
    Messaggi
    1,277
    confermo, l'incompatibilità e con gli xib
    errore.png

    francesco

  6. #26
    Senior Member L'avatar di freellino
    Data Registrazione
    Dec 2010
    Località
    bari
    Messaggi
    1,277
    Citazione Originariamente Scritto da luca.santaniello Visualizza Messaggio
    ...dopo aver preso confidenza con il nuovo ambiente cancellerò definitivamente la versione 4
    non fare sta stronxata !
    io intendo conservare xcode4.52 così potrò buildare su un idevice con ios4.2, cosa che con xcode5 non puoi più fare

    francesco

  7. #27
    Administrator L'avatar di ignazioc
    Data Registrazione
    Jul 2010
    Messaggi
    3,912
    Ricapitolando:

    - Xcode 4.6.3 e xcode 5 si possono avere sulla stessa macchina.
    - Se avete scaricato xcode5 da appstore e vi ha sovrascritto la versione 4.6.3 basta andare sul sito apple developer e cercare tra i download la versione precedente
    - Xcode 5 permette di impostare un build target più vecchio di iOS7 quindi potete fare anche app che sono retrocompatibili.
    - Se aprite un progetto vecchio con xcode nuovo vi verrà chiesto di aggiornare i file xib, in questo caso poi non saranno più leggibili da xcode 4.6.3 quindi è *vivamente* consigliato un backup e un sistema di versioning (ma tanto li usate già, no??)
    - Se avete un device con iOS7 dovrete per forza usare xcode5 per poter debuggare l'app.
    - Se avete xcode 5 non è necessario avere ios7 per debuggare l'app.

    La mia libreria su anobii e la wishlist su amazon.co.uk e il mio hosting provider

  8. #28
    Senior Member L'avatar di freellino
    Data Registrazione
    Dec 2010
    Località
    bari
    Messaggi
    1,277
    Citazione Originariamente Scritto da ignazioc Visualizza Messaggio
    Xcode 5 permette di impostare un build target più vecchio di iOS7 quindi potete fare anche app che sono retrocompatibili
    non oltre iOS 4.3

    francesco

  9. #29
    Senior Member L'avatar di neronorx
    Data Registrazione
    Aug 2011
    Località
    torino
    Messaggi
    1,587
    Citazione Originariamente Scritto da freellino Visualizza Messaggio







    Xcode 5 permette di impostare un build target più vecchio di iOS7 quindi potete fare anche app che sono retrocompatibili



    non oltre iOS 4.3

    francesco
    Perché chi ha ancora iOS 3?
    iPhone 3G ha ios5 quindi va bene.

  10. #30
    Senior Member L'avatar di freellino
    Data Registrazione
    Dec 2010
    Località
    bari
    Messaggi
    1,277
    Corso online di programmazione android e java
    Citazione Originariamente Scritto da neronorx Visualizza Messaggio
    Perché chi ha ancora iOS 3?
    iPhone 3G ha ios5 quindi va bene.
    io (4.0), per conto di alcuni utilizzatori ;-)

    francesco

Tag per Questa Discussione

Permessi di Scrittura

  • Tu non puoi inviare nuove discussioni
  • Tu non puoi inviare risposte
  • Tu non puoi inviare allegati
  • Tu non puoi modificare i tuoi messaggi
  •